Bug 1021107 - New radeon dpm feature causes screen to jump/flicker
New radeon dpm feature causes screen to jump/flicker
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 09:12 EDT by ramindeh
Modified: 2014-02-05 17:29 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:29:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ramindeh 2013-10-19 09:12:20 EDT
Description of problem:
The screen jumps/flickers at intervals after setting the kernel with the new DPM feature activated thru boot param "radeon.dpm=1". This is extremely annoying.

Version-Release number of selected component (if applicable):
Since this is not a Fedora issue but a kernel issue it possibly also affects FC19 (to which I'll be updating soon anyway).

* uname -a gives:
Linux localhost 3.11.4-101.fc18.x86_64 #1 SMP Thu Oct 10 14:05:32 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


* modinfo radeon gives:
filename:       /lib/modules/3.11.4-101.fc18.x86_64/kernel/drivers/gpu/drm/radeon/radeon.ko
license:        GPL and additional rights
description:    ATI Radeon
author:         Gareth Hughes, Keith Whitwell, others.
vermagic:       3.11.4-101.fc18.x86_64 SMP mod_unload

The chip is an antique HD4850 / RV770 / M98L. Boot loader is Grub2.


How reproducible:
Boot machine up with kernel param "radeon.dpm=1"


Actual results:
Machine boots up OK, but screen flickers/jumps at intervals, what is really annoying.

Expected results:
Screen should NOT jump/flicker after setting the param

Additional info:

Lines from last boot in /var/log/messages containing 'radeon':
(If you need anything else pls just ask).

Oct 19 10:59:29 localhost kernel: [    0.000000] Command line: BOOT_IMAGE=/vmlinuz-3.11.4-101.fc18.x86_64 root=/dev/mapper/vg_laptop3-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_laptop3/lv_root rd.lvm.lv=vg_laptop3/lv_swap KEYTABLE=de rd.luks=0 SYSFONT=True LANG=en_US.UTF-8 rhgb quiet radeon.dpm=1 zswap.enabled=1
Oct 19 10:59:29 localhost kernel: [    0.000000] Kernel command line: BOOT_IMAGE=/vmlinuz-3.11.4-101.fc18.x86_64 root=/dev/mapper/vg_laptop3-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_laptop3/lv_root rd.lvm.lv=vg_laptop3/lv_swap KEYTABLE=de rd.luks=0 SYSFONT=True LANG=en_US.UTF-8 rhgb quiet radeon.dpm=1 zswap.enabled=1
Oct 19 10:59:29 localhost kernel: [    2.692077] [drm] radeon kernel modesetting enabled.
Oct 19 10:59:29 localhost kernel: [    2.692138] fb: conflicting fb hw usage radeondrmfb vs VESA VGA - removing generic driver
Oct 19 10:59:29 localhost kernel: [    2.694390] radeon 0000:07:00.0: VRAM: 512M 0x0000000000000000 - 0x000000001FFFFFFF (512M used)
Oct 19 10:59:29 localhost kernel: [    2.694394] radeon 0000:07:00.0: GTT: 512M 0x0000000020000000 - 0x000000003FFFFFFF
Oct 19 10:59:29 localhost kernel: [    2.694762] [drm] radeon: 512M of VRAM memory ready
Oct 19 10:59:29 localhost kernel: [    2.694764] [drm] radeon: 512M of GTT memory ready.
Oct 19 10:59:29 localhost kernel: [    2.706261] radeon 0000:07:00.0: WB enabled
Oct 19 10:59:29 localhost kernel: [    2.706265] radeon 0000:07:00.0: fence driver on ring 0 use gpu addr 0x0000000020000c00 and cpu addr 0xffff880132ae4c00
Oct 19 10:59:29 localhost kernel: [    2.706268] radeon 0000:07:00.0: fence driver on ring 3 use gpu addr 0x0000000020000c0c and cpu addr 0xffff880132ae4c0c
Oct 19 10:59:29 localhost kernel: [    2.706307] radeon 0000:07:00.0: radeon: using MSI.
Oct 19 10:59:29 localhost kernel: [    2.706333] [drm] radeon: irq initialized.
Oct 19 10:59:29 localhost kernel: [    2.763435] [drm] radeon: dpm initialized
Oct 19 10:59:29 localhost kernel: [    3.743856] fbcon: radeondrmfb (fb0) is primary device
Oct 19 10:59:29 localhost kernel: [    3.794927] radeon 0000:07:00.0: fb0: radeondrmfb frame buffer device
Oct 19 10:59:29 localhost kernel: [    3.794928] radeon 0000:07:00.0: registered panic notifier
Oct 19 10:59:29 localhost kernel: [    3.794938] [drm] Initialized radeon 2.34.0 20080528 for 0000:07:00.0 on minor 0
Comment 1 Josh Boyer 2013-10-21 09:39:14 EDT
The option is disabled by default for a reason.  It is still considered experimental upstream, and needs additional work
Comment 2 Benjamin Bellec 2013-12-02 07:26:43 EST
I have the same issue with a RV770 too.
But it's not each time, sometimes I boot and I have the issue, if a reboot, the issue can be solved.

kernel 3.11.9-200.fc19.x86_64
Comment 3 Fedora End Of Life 2013-12-21 09:41:27 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 17:29:31 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.